package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.ElecPriceStrategyHour;

import java.util.List;

/**
 * 电价策略小时Service接口
 *
 * @author ruoyi
 * @date 2024-08-23
 */
public interface IElecPriceStrategyHourService {
    /**
     * 查询电价策略小时
     *
     * @param id 电价策略小时主键
     * @return 电价策略小时
     */
    ElecPriceStrategyHour selectById(Long id);

    /**
     * 查询电价策略小时列表
     *
     * @param elecPriceStrategyHour 电价策略小时
     * @return 电价策略小时集合
     */
    List<ElecPriceStrategyHour> selectList(ElecPriceStrategyHour elecPriceStrategyHour);

    /**
     * 根据策略code查询
     *
     * @param strategyCode
     * @return 电价策略小时集合
     */
    List<ElecPriceStrategyHour> selectListByStrategyCode(String strategyCode);

    /**
     * 新增电价策略小时
     *
     * @param elecPriceStrategyHour 电价策略小时
     * @return 结果
     */
    int insert(ElecPriceStrategyHour elecPriceStrategyHour);

    /**
     * 新增电价策略小时
     *
     * @param list 电价策略小时
     * @return 结果
     */
    int insertBatch(List<ElecPriceStrategyHour> list);

    /**
     * 修改电价策略小时
     *
     * @param elecPriceStrategyHour 电价策略小时
     * @return 结果
     */
    int update(ElecPriceStrategyHour elecPriceStrategyHour);

    /**
     * 批量删除电价策略小时
     *
     * @param ids 需要删除的电价策略小时主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 删除电价策略小时信息
     *
     * @param id 电价策略小时主键
     * @return 结果
     */
    int deleteById(Long id);

    /**
     * 删除电价策略小时信息
     *
     * @param strategyCode 策略code
     * @return 结果
     */
    int deleteByStrategyCode(String strategyCode);
}
